 package signals;
 
 import java.io.PrintStream;
 
 public final class AdaptSignals extends Signals {
   private static final long serialVersionUID = 1L;
   
   public AdaptSignals(Signals s) {
     this.id = s.id;
     this.widthUnit = s.widthUnit;
     this.name = s.name;
     this.setUpTime = s.setUpTime;
     this.bus = s.bus;
     this.clock = s.clock;
     this.dependsOnClk = s.dependsOnClk;
     this.selected_for_edit = s.selected_for_edit;
     this.clkToQdelay = s.clkToQdelay;
     this.wave = s.wave;
     this.busNames = s.busNames;
     this.busFill = s.busFill;
     this.ratio = s.ratio;
     this.clockDomainId = s.clockDomainId;
     this.displayRisingEdges = s.displayRisingEdges;
     if (this.wave.length < 500) {
       System.out.println("Wave size conversion");
       int[] tempWave = this.wave;
       String[] tempbusNames = this.busNames;
       boolean[] tempbusFill = this.busFill;
       this.wave = new int[200];
       this.busNames = new String[200];
       this.busFill = new boolean[200];
       
       for (int i = 0; i < 500; i++) 
       {
         if (i < 200) {
           this.wave[i] = tempWave[i];
           this.busNames[i] = tempbusNames[i];
           this.busFill[i] = tempbusFill[i];
         }
         else {
           this.wave[i] = 0;
         }
       }
     }
     
 
     if (Boolean.valueOf(s.bold) != null) this.bold = s.bold;
     if (s.color != null) this.color = s.color;
   }
   
   public void generate(boolean beginOnRisingEdge) {}
 }





